(function($) {
  Drupal.behaviors.lstTabsHorizontal = {
    attach: function() {
      function updateTabs() {
        var windowWidth = $(window).width();
        if (windowWidth < 768) {
          $('.layout__tabs .nav-tabs').addClass('accordion');
          $('.layout__tabs .tab-pane a').on('click', function(e) {
            e.preventDefault();
            var $this = $(this),
              target = $this.data('target');
            $('.layout__tabs .tab-pane').removeClass('show active');
            $this.closest('.tab-pane').addClass('show active');
          });
        } else {
          $('.layout__tabs .nav-tabs').removeClass('accordion');
          $('.layout__tabs .nav-tabs a').off('click');
          $('.layout__tabs .nav-tabs a').on('click', function(e) {
            e.preventDefault();
            var $this = $(this),
              target = $this.data('target');
            $('.layout__tabs .nav-tabs a').removeClass('active');
            $this.addClass('active');
            $('.layout__tabs .tab-pane').removeClass('active show');
            $(target).addClass('active show');
          });
        }
      }
      // Ejecutar la función al cargar y redimensionar la ventana
      $(window).on('load resize', function() {
        updateTabs();
      });
      // Use anchor if set.
      const hash = $(location).attr('hash');
      // Check if exist nav item id
      var nav_item = $('.tabs-horizontal li.nav-item a' + hash + '-tab');
      if (hash && (nav_item.length === 1)) {
        $('.tabs-horizontal li.nav-item a').removeClass('active');
        $('.tabs-horizontal div#nav-tabContent div').removeClass('show').removeClass('active').addClass('hide');
        nav_item.addClass('active');
        $('.tabs-horizontal div#nav-tabContent div'+hash).addClass('show active');
      }
    }
  };
})(jQuery)
